#!/usr/bin/perl
use strict;
use warnings;
use CGI;
use FlexPay qw(get_purchase_URL $SIGNATURE_KEY); # Import the FlexPay library

# This script generates the purchase URL given the signature key and input parameters

my $q = CGI->new;
my $params = $q->Vars();
print $q->header;

# Generate the FlexPay purchase URL
my $result = get_purchase_URL($SIGNATURE_KEY, %{$params});

# Check for errors
if ($result =~ /^ERROR/) {  # On failure, display the error message (optional)
    print "$result";
} else {                    # On success, display the generated URL as a link
    print "<a href=\"$result\">$result</a>";
}

