#!/usr/bin/perl
use strict;
use warnings;
use CGI;
use Data::Dumper;
use FlexPay qw(validate_signature $SIGNATURE_KEY); # Import the FlexPay library

# This script validates the signature given the signature key and input parameters

my $q = CGI->new;
my $params = $q->Vars();
print $q->header;

# Validate the FlexPay signature
my $result = validate_signature($SIGNATURE_KEY, %{$params});

# Check for errors
if ($result == 1) { # On success, provide customer with purchased items
    print "Signature validation succeeded\n";
} else {            # On error, display the input parameters (optional)
    print "Signature validation failed<br>\n";
    print Dumper($params);
}

